Live Google Dataset Info Advanced


Live Google Dataset Info provides real-time data on the dataset you specify in the request. You will get data from a page of the dataset displayed separately from the SERP. It contains information about dataset content, authors, licenses, and description on the SERP.

checked POST
Pricing

Your account will be charged for each request.
The cost can be calculated on the Pricing page.

All POST data should be sent in the JSON format (UTF-8 encoding). When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live SERP API call can contain only one task.

Below you will find a detailed description of the parameters that are required or recommended for setting a task.

Main Parameters

Field nameTypeDescription
dataset_idstring

ID of the dataset

required field

you can find dataset ID in the dataset URL or dataset item of Google Dataset Search result

example:

L2cvMTFqbl85ZHN6MQ==

language_codestring

search engine language code

optional field

if you use this field, you don't need to specify language_name

possible value:

en

devicestring

device type

optional field

return results for a specific device type

possible value: desktop


Below you will find a drop-down list with the additional parameters you can use for setting a task.
Additional Parameters
Field nameTypeDescription
language_namestring

full name of search engine language

optional field

if you use this field, you don't need to specify language_code

possible value:

English

osstring

device operating system

optional field

possible values: windows, macos

default value: windows

tagstring

user-defined task identifier

optional field

the character limit is 255

you can use this parameter to identify the task and match it with the result

you will find the specified tag value in the data object of the response


‌‌‌‌‌‌‌
As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        keywordstring

keyword received in a POST array
the keyword is returned with decoded %## (plus character '+' will be decoded to a space character)

        se_domainstring

search engine domain in a POST array

        language_codestring

language code in a POST array

        check_urlstring

direct URL to search engine results
you can use it to make sure that we provided accurate results

        datetimestring

date and time when the result was received
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2019-11-15 12:57:46 +00:00

        spellobject

autocorrection of the search engine
if the search engine provided results for a keyword that was corrected, we will specify the keyword corrected by the search engine and the type of autocorrection

        refinement_chipsobject

search refinement chips

        item_typesarray

types of search results in SERP
contains types of search results (items) found in SERP.
possible item type: dataset

        se_results_countinteger

total number of results in SERP

        items_countinteger

the number of results returned in the items array

        itemsarray

elements of search results found in SERP

            typestring

type of element = 'dataset'

            rank_groupinteger

group rank in SERP
position within a group of elements with identical type values
positions of elements with different type values are omitted from rank_group

            rank_absoluteinteger

absolute rank in SERP
absolute position among all the elements in SERP

            positionstring

the alignment of the element in SERP
can take the following values:
left, right

            xpathstring

the XPath of the element

            dataset_idstring

ID of the dataset

            titlestring

title of the result in SERP

            image_urlstring

URL of the image
the URL leading to the image on the original resource or DataForSEO storage (in case the original source is not available)

            scholarly_citations_countinteger

count of articles that refer to the dataset

            linksarray

sitelinks
the links shown below some of Google Dataset's search results
if there are none, equals null

                typestring

type of element = 'link_element'

                titlestring

title of the result in SERP

                descriptionstring

description of the results element in SERP

                urlstring

sitelink URL

                domainstring

domain in SERP

            dataset_providersarray

the list of institutions that provided the dataset

                typestring

type of element = 'dataset_providers_element'

                titlestring

name of the dataset provider

                urlstring

site URL of the dataset provider

                domainstring

site domain of the dataset provider

            formatsarray

the list of file formats of the dataset

                typestring

type of element = 'formats_element'

                formatstring

type of file format of the dataset
foe example: zip, html, csv

                sizestring

file size in bytes

            authorsarray

the list of authors of the dataset

                typestring

type of element = 'authors_element'

                namestring

name of the dataset author

                urlstring

author's link URL

                domainstring

author's link domain

            licensesarray

the list of licenses issued to the dataset

                typestring

type of element = 'licenses_element'

                titlestring

name of the license

                urlstring

license URL

                domainstring

domain where an URL points

            updated_datestring

date and time when the result was last updated
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2022-11-27 02:00:00 +00:00

            area_coveredarray

the list of areas covered in the dataset
for example: Africa, Global

            period_coveredobject

period covered in the dataset

                start_datestring

date and time when the period starts
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2020-03-02 02:00:00 +00:00

                end_datestring

date and time when the period ends
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2022-12-09 02:00:00 +00:00

                displayed_datestring

period displayed in SERP
example:
Mar 2, 2020 - Dec 9, 2022

            dataset_descriptionobject

description of the dataset

                textstring

text of the description

                linksarray

links featured in the 'dataset_description'

                    typestring

type of element = 'link_element'

                    titlestring

link anchor text

                    descriptionstring

description of the results element in SERP

                    urlstring

URL link

                    domainstring

domain in SERP


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/serp/google/dataset_info/live/advanced" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "dataset_id": "L2cvMTFqbl85ZHN6MQ=="
    }
]'
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
    // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
    $client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
    echo "n";
    print "HTTP code: {$e->getHttpCode()}n";
    print "Error code: {$e->getCode()}n";
    print "Message: {$e->getMessage()}n";
    print  $e->getTraceAsString();
    echo "n";
    exit();
}
$post_array = array();
// You can set only one task at a time
$post_array[] = array(
    "dataset_id" => "L2cvMTFqbl85ZHN6MQ=="
);
try {
    // POST /v3/serp/google/dataset_info/live/advanced
    // in addition to 'google' and 'dataset_info' you can also set other search engine and type parameters
    // the full list of possible parameters is available in documentation
    $result = $client->post('/v3/serp/google/dataset_info/live/advanced', $post_array);
    print_r($result);
    // do something with post result
} catch (RestClientException $e) {
    echo "n";
    print "HTTP code: {$e->getHttpCode()}n";
    print "Error code: {$e->getCode()}n";
    print "Message: {$e->getMessage()}n";
    print  $e->getTraceAsString();
    echo "n";
}
$client = null;
?>
const axios = require('axios');

axios({
    method: 'post',
    url: 'https://api.dataforseo.com/v3/serp/google/dataset_info/live/advanced',
    auth: {
        username: 'login',
        password: 'password'
    },
    data: [{
        "dataset_id" => "L2cvMTFqbl85ZHN6MQ=="
    }],
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# You can set only one task at a time
post_data[len(post_data)] = dict(
dataset_id="L2cvMTFqbl85ZHN6MQ=="
)
# POST /v3/serp/google/dataset_info/live/advanced
# in addition to 'google' and 'dataset_info' you can also set other search engine and type parameters
# the full list of possible parameters is available in documentation
response = client.post("/v3/serp/google/dataset_info/live/advanced", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
print(response)
# do something with result
else:
print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task serp_live_advanced()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                //DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // You can set only one task at a time
            postData.Add(new
            {
                dataset_id="L2cvMTFqbl85ZHN6MQ=="
            });
            // POST /v3/serp/google/dataset_info/live/advanced
            // in addition to 'google' and 'dataset_info' you can also set other search engine and type parameters
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/serp/google/dataset_info/live/advanced", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20221214",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "12.0954 sec.",
  "cost": 0.002,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "01161747-1535-0139-0000-08e4f80efe02",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "12.0367 sec.",
      "cost": 0.002,
      "result_count": 1,
      "path": [
        "v3",
        "serp",
        "google",
        "dataset_info",
        "live",
        "advanced"
      ],
      "data": {
        "api": "serp",
        "function": "live",
        "se": "google",
        "se_type": "dataset_info",
        "dataset_id": "L2cvMTFqbl85ZHN6MQ==",
        "device": "desktop",
        "os": "windows"
      },
      "result": [
        {
          "keyword": "L2cvMTFqbl85ZHN6MQ==",
          "se_domain": "datasetsearch.research.google.com",
          "language_code": "en",
          "check_url": "https://datasetsearch.research.google.com/search?docid=L2cvMTFqbl85ZHN6MQ%3D%3D&hl=en",
          "datetime": "2023-01-16 15:48:06 +00:00",
          "spell": null,
          "refinement_chips": null,
          "item_types": [
            "dataset"
          ],
          "se_results_count": 1,
          "items_count": 1,
          "items": [
            {
              "type": "dataset",
              "rank_group": 1,
              "rank_absolute": 1,
              "position": "left",
              "xpath": null,
              "dataset_id": "L2cvMTFqbl85ZHN6MQ==",
              "title": "Water quality in Canadian rivers – Federal data files",
              "image_url": "https://encrypted-tbn3.gstatic.com/images?q=tbn:ANd9GcRSk0xXK2Wz-UFr7EbQBu8SrSbLPM82jfh3zL_BybsBwBiVnIzF",
              "scholarly_citations_count": 1,
              "links": [
                {
                  "type": "link_element",
                  "title": "canada.ca",
                  "description": null,
                  "url": "http://open.canada.ca/",
                  "domain": "open.canada.ca"
                }
              ],
              "dataset_providers": [
                {
                  "type": "dataset_providers_element",
                  "title": "Environment and Climate Change Canada",
                  "url": "http://www.ec.gc.ca/",
                  "domain": "www.ec.gc.ca"
                }
              ],
              "formats": [
                {
                  "type": "formats_element",
                  "format": "html",
                  "size": null
                },
                {
                  "type": "formats_element",
                  "format": "csv",
                  "size": null
                }
              ],
              "authors": null,
              "licenses": [
                {
                  "type": "licenses_element",
                  "title": "Open Government Licence - Canada 2.0",
                  "url": "https://open.canada.ca/en/open-government-licence-canada",
                  "domain": "open.canada.ca"
                }
              ],
              "updated_date": "2019-06-24 03:00:00 +00:00",
              "area_covered": null,
              "period_covered": {
                "start_date": "2002-01-01 02:00:00 +00:00",
                "end_date": "2017-12-31 02:00:00 +00:00",
                "displayed_date": "Jan 1, 2002 - Dec 31, 2017"
              },
              "dataset_description": {
                "text": "The Canadian Environmental Sustainability Indicators (CESI) program provides data and information to track Canada's performance on key environmental sustainability issues. The Water quality in Canadian rivers indicators provide a measure of the ability of river water across Canada to support plants and animals. At each monitoring site, water quality data are compared to water quality guidelines to create a rating for the site. If measured water quality is below the guidelines, it can maintain a healthy ecosystem. Water quality at a monitoring site is considered excellent when parameters in a river very rarely exceed their guidelines. Conversely, water quality is rated poor when parameters usually exceed their guidelines, sometimes by a wide margin. These indicators provide information about the state of surface water quality and its change through time, to support water resource management. Information is provided to Canadians in a number of formats including: static and interactive maps, charts and graphs, HTML and CSV data tables and downloadable reports. See the supplementary documentation for the data sources and details on how the data were collected and how the indicator was calculated. Supplemental Information Canadian Environmental Sustainability Indicators - Home page: https://www.canada.ca/environmental-indicatorsn",
                "links": [
                  {
                    "type": "link_element",
                    "title": "https://www.canada.ca/environmental-indicators",
                    "description": null,
                    "url": "https://www.google.com/url?q=https%3A%2F%2Fwww.canada.ca%2Fenvironmental-indicators&source=datasetsearch",
                    "domain": null
                  }
                ]
              }
            }
          ]
        }
      ]
    }
  ]
}